/*-- general styles --*/
.assets-fm { position: relative; border: 1px solid #b6c0c2; padding: 36px 0 0 220px; font-size: 12px; cursor: default;
	border-radius: 5px; -webkit-border-radius: 5px; -moz-border-radius: 5px;
	-webkit-user-select: none; -moz-user-select: none; }

.assets-fm-left { position: absolute; top: 36px; left: 0; width: 220px; }
.assets-fm-right { width: 100%; }

/*-- toolbar --*/
.assets-fm-toolbar { position: absolute; top: 0; left: 0; width: 100%; border-top: 1px solid #fff; border-bottom: 1px solid #9a9a9a; height: 34px;
	border-radius: 4px 4px 0 0; -webkit-border-top-left-radius: 4px; -webkit-border-top-right-radius: 4px; -moz-border-radius: 4px 4px 0 0;
	background: -webkit-gradient(linear, 0 0, 0 100%, from(transparent), to(rgba(0,0,0,0.15))); background: -moz-linear-gradient(top, transparent, rgba(0,0,0,0.1)); }

.assets-fm-toolbar .assets-fm-view { position: absolute; top: 6px; left: 220px; margin: 0; padding: 0; }
.assets-fm-toolbar .assets-fm-view li { float: left; }
.assets-fm-toolbar .assets-fm-view li a { margin: 0; padding: 2px 5px; width: 16px; height: 16px; }
.assets-fm-toolbar .assets-fm-view li a.assets-fm-thumbs { border-top-right-radius: 0; border-bottom-right-radius: 0; }
.assets-fm-toolbar .assets-fm-view li a.assets-fm-list { margin-left: -1px; border-top-left-radius: 0; border-bottom-left-radius: 0; }

.assets-fm-toolbar .assets-fm-view li a span { float: none; margin: 0; background: no-repeat 50% 50%; }
.assets-fm-toolbar .assets-fm-view li a.assets-fm-thumbs span { background-image: url(../images/view-thumbs.png); }
.assets-fm-toolbar .assets-fm-view li a.assets-fm-list span { background-image: url(../images/view-list.png); }

/* upload */
.assets-fm-toolbar .assets-fm-upload { position: absolute; top: 6px; left: 285px; }
.assets-fm-toolbar .assets-fm-upload .assets-qq-uploader { position: relative; width: 100%; }
.assets-fm-toolbar .assets-fm-upload .assets-qq-uploader .assets-qq-upload-button { margin-left: 2px; }
.assets-fm-toolbar .assets-fm-upload .assets-qq-uploader .assets-qq-upload-button span { background-image: url(../images/upload.png); }
.assets-fm-toolbar .assets-fm-upload .assets-qq-uploader .assets-qq-upload-failed-text { display: none; }
.assets-fm-toolbar .assets-fm-upload .assets-qq-uploader .assets-qq-upload-list { display: none; }

/* search */
.assets-fm-toolbar .assets-fm-search { position: absolute; top: 7px; right: 32px; }
.assets-fm-toolbar .assets-fm-search label { display: block; cursor: text; }
.assets-fm-toolbar .assets-fm-search label span { display: block; position: absolute; top: 1px; left: 5px; width: 16px; height: 18px; background: url(../images/search-icon.png) no-repeat 0 50%; }
.assets-fm-toolbar .assets-fm-search label input { margin: 0; padding: 0 21px 0; border: 1px solid #959595; width: 208px; line-height: 18px; height: 18px; outline: none;
	border-radius: 9px; -webkit-border-radius: 9px; -moz-border-radius: 9px;
	box-sizing: content-box; -webkit-box-sizing: content-box; -moz-box-sizing: content-box; -ms-box-sizing: content-box;
	background: #fff url(../images/search-bg.png) repeat-x; background: rgba(255,255,255,0.5);
	background-clip: padding-box; -webkit-background-clip: padding-box; -moz-background-clip: padding-box;
	-webkit-box-shadow: inset 0 1px 0 rgba(0,0,0,0.1); -moz-box-shadow: inset 0 1px 0 rgba(0,0,0,0.1); }
.assets-fm-toolbar .assets-fm-search label input:focus {
	-webkit-box-shadow: inset 0 1px 0 rgba(0,0,0,0.1), 0 0 1px 1px #b6c0c2; -moz-box-shadow: inset 0 1px 0 rgba(0,0,0,0.1), 0 0 1px 1px #b6c0c2; }
.assets-fm-toolbar .assets-fm-search a.assets-fm-erase { display: none; position: absolute; top: 0; right: 0; width: 20px; height: 20px; background: url(../images/search-erase.png) no-repeat; cursor: default; }
.assets-fm-toolbar .assets-fm-search a.assets-fm-erase:active { background-position: 0 -20px; }

/* spinner */
.assets-fm-toolbar .assets-fm-spinner { display: none; position: absolute; top: 8px; right: 8px; width: 16px; height: 16px; background: url(../images/spinner.gif) no-repeat; }

/*-- folders --*/
.assets-fm-folders { border-right: 1px solid #9a9a9a; padding: 4px 0 5px; height: 295px; background: #e2e2e2; background: rgba(0,0,0,0.06); }
.assets-fm-folders ul { margin: 0; padding: 0; width: auto; list-style-type: none; }
li.assets-fm-folder ul { display: none; }

li.assets-fm-folder a { display: block; margin-top: 1px; padding: 2px 0; line-height: 14px; cursor: default;  white-space: pre; }
li.assets-fm-folder a:hover { color: inherit; text-decoration: none; }

li.assets-fm-folder a span.assets-fm-toggle,
li.assets-fm-folder a span.assets-fm-icon { display: block; float: left; margin-top: -1px; width: 16px; height: 16px; background: no-repeat; }

li.assets-fm-folder a span.assets-fm-toggle { margin-left: -36px; background-image: url(../images/folder-toggle.png); }
li.assets-fm-folder a span.assets-fm-toggle:active { background-position: 0 -16px; }
li.assets-fm-folder a.assets-fm-expanded span.assets-fm-toggle { background-position: 0 -32px; }
li.assets-fm-folder a.assets-fm-expanded span.assets-fm-toggle:active { background-position: 0 -48px; }

li.assets-fm-folder a.assets-selected span.assets-fm-toggle { background-position: -16px 0; }
li.assets-fm-folder a.assets-selected span.assets-fm-toggle:active { background-position: -16px -16px; }
li.assets-fm-folder a.assets-selected.assets-fm-expanded span.assets-fm-toggle { background-position: -16px -32px; }
li.assets-fm-folder a.assets-selected.assets-fm-expanded span.assets-fm-toggle:active { background-position: -16px -48px; }

li.assets-fm-folder a span.assets-fm-icon { margin-left: -20px; background-image: url(../images/folder.png); }
li.assets-fm-folder a.assets-fm-expanded span.assets-fm-icon,
li.assets-fm-folder a.assets-fm-dragtarget span.assets-fm-icon { background-position: 0 -16px; }

.assets-fm-folderdrag li.assets-fm-folder a { border-radius: 2px; -webkit-border-radius: 2px; -moz-border-radius: 2px; }

/*-- files --*/
.assets-fm-files { width: 100%; background: #fff; overflow: hidden; }

.assets-fm-files .assets-listview .assets-lv-tbody { height: 285px; }
.assets-fm-files .assets-thumbview .assets-scrollpane { height: 304px; max-height: 304px; }

/*-- footers --*/
.assets-footer { border-top: 1px solid #9a9a9a; padding: 4px 0; height: 20px; line-height: 20px; text-shadow: 0 1px #fff; background: rgba(0,0,0,0.1); }

.assets-fm-left .assets-footer { border-right: 1px solid rgba(0,0,0,0.15); border-radius: 0 0 0 4px; -webkit-border-bottom-left-radius: 4px; -moz-border-radius: 0 0 0 4px; }
.assets-fm-right .assets-footer { border-radius: 0 0 4px 0; -webkit-border-bottom-right-radius: 4px; -moz-border-radius: 0 0 4px 0; }

.assets-fm-right .assets-footer .assets-fm-status { float: left; margin-left: 8px; }
.assets-fm-right .assets-footer .assets-fm-btns { float: right; margin-right: 30px; }

/*-- upload status --*/
.assets-fm-uploadprogress { display: none; position: absolute; top: 36px; left: 0; width: 100%; height: 304px; background: rgba(250,250,250,0.8); }
.assets-fm-uploadprogress .assets-fm-progressbar { position: absolute; top: 145px; left: 50%; margin-left: -100px; padding: 2px; width: 192px; height: 6px; border: 2px solid #666; background: #fafafa;
	border-radius: 7px; -webkit-border-radius: 7px; -moz-border-radius: 7px;
	-webkit-box-shadow: 0 0 20px 20px #fafafa; }
.assets-fm-uploadprogress .assets-fm-progressbar .assets-fm-pb-bar { width: 0; height: 6px; background: #666;
	border-radius: 3px; -webkit-border-radius: 3px; -moz-border-radius: 3px; }

/*-- context menu --*/
.assets-contextmenu { position: absolute; z-index: 99999; padding: 4px 0; background: #fff;
	border-radius: 4px; -webkit-border-radius: 4px; -moz-border-radius: 4px;
	-webkit-box-shadow: 0 0 1px 1px rgba(0,0,0,0.25), 0 3px 5px rgba(0,0,0,0.35);
	-moz-box-shadow: 0 0 1px 1px rgba(0,0,0,0.25), 0 3px 5px rgba(0,0,0,0.35);
	-webkit-user-select: none; -moz-user-select: none; }

.assets-contextmenu li.hr { margin: 4px 0; border-top: 1px solid #eee; height: 0; }
.assets-contextmenu li a { display: block; padding: 2px 8px; text-decoration: none; cursor: default; }